Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Class DocumentFormat

    java.lang.Object
      com.plumtree.remote.crawler.DocumentFormat

public class DocumentFormat
extends java.lang.Object

Enumeration for the portal document format flag. The document format flag tells the backend whether to return the actual requested document or a metadata file more suitable for indexing.

Field Summary
`static DocumentFormat` | `DISPLAY` The crawler should return the actual document.
`static DocumentFormat` | `INDEX` The crawler should return an indexing file.
`static DocumentFormat` | `RESERVED` (Reserved for future use.)

Method Summary
`int` | `getCode()` Returns the underlying integral format code.
`static DocumentFormat` | `parse(int val)` Returns the `DocumentFormat` object corresponding to the format code.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEX

    public static final DocumentFormat INDEX

  The crawler should return an indexing file. If using DocFetch, INDEX is used during crawl (index) time. If not using DocFetch, INDEX is used during both crawl and click-through.

### DISPLAY

    public static final DocumentFormat DISPLAY

  The crawler should return the actual document. If using DocFetch, DISPLAY is used during click-through.

### RESERVED

    public static final DocumentFormat RESERVED

  (Reserved for future use.)

Method Detail

### getCode

    public int getCode()

  Returns the underlying integral format code.

  Returns:
    the format code

### parse

    public static DocumentFormat parse(int val)

  Returns the `DocumentFormat` object corresponding to the format code.

  Returns:
    the corresponding `DocumentFormat` object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.